【转载】安装maven3.5时出现Exception in thread "main" java.lang.UnsupportedClassVersionError

xiaoxiao2021-02-28  10

安装Maven3.5时出现Exception in thread “main” java.lang.UnsupportedClassVersionError

一、问题描述

安装完maven-3.5,并配置好环境变量之后,在命令行输入mvn -v,出现Exception in thread “main” Java.lang.UnsupportedClassVersionError: org/apache/maven/cli/MavenCli : Unsupported major.minor version 51.0 at java.lang.ClassLoader.defineClass1(Native Method)异常。其中jdk是jdk-6u45-windows-x64版本。

二、解决方案

由于maven3.3及以上需要jdk7以上才能支持,因此安装jdk7即可。 maven版本对应jdk版本的要求

Release DateVersionRequired Java Version2017-02-283.5.0-alpha-1Java 72015-11-143.3.9Java 72015-04-283.3.3Java 72015-03-183.3.1Java 72014-12-203.2.5Java 62014-08-173.2.3Java 62014-06-263.2.2Java 62014-02-213.2.1Java 62013-10-043.1.1Java 52013-07-153.1.0Java 52013-06-103.1.0-alpha-1Java 52013-02-233.0.5Java 52012-01-203.0.4Java 52011-03-043.0.3Java 52011-01-123.0.2Java 52010-11-263.0.1Java 52010-10-083.0Java 52010-09-023.0-beta-3Java 52010-08-103.0-beta-2Java 52010-04-233.0-beta-1Java 52010-04-143.0-alpha-7Java 52010-01-103.0-alpha-6Java 52009-11-273.0-alpha-5Java 52009-11-173.0-alpha-4Java 52009-11-133.0-alpha-3Java 5
转载请注明原文地址: https://www.6miu.com/read-1100252.html

最新回复(0)